/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.monitoring;

import org.ow2.petals.jmx.api.api.monitoring.ObjectPoolMetrics;
import org.ow2.petals.jmx.api.api.monitoring.ThreadPoolMetrics;

/**
 * An implementation of {@link ThreadPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ObjectPoolMetricsMock implements ObjectPoolMetrics {

    final private Long minIdleSize;

    final private Long maxSize;

    final private Long borrowedObjectNumber;

    final private Long borrowedObjectMaxNumber;

    final private Long idleObjectNumber;

    final private Long idleObjectMaxNumber;

    final private Long exhaustions;

    public ObjectPoolMetricsMock(final Long minIdleSize, final Long maxSize,
            final Long borrowedObjectNumber, final Long borrowedObjectMaxNumber,
            final Long idleObjectNumber, final Long idleObjectMaxNumber, final Long exhaustions) {
        super();
        this.minIdleSize = minIdleSize;
        this.maxSize = maxSize;
        this.borrowedObjectNumber = borrowedObjectNumber;
        this.borrowedObjectMaxNumber = borrowedObjectMaxNumber;
        this.idleObjectNumber = idleObjectNumber;
        this.idleObjectMaxNumber = idleObjectMaxNumber;
        this.exhaustions = exhaustions;
    }

    @Override
    public Long getMinIdleSize() {
        return this.minIdleSize;
    }

    @Override
    public Long getMaxSize() {
        return this.maxSize;
    }

    @Override
    public Long getBorrowedObjectNumber() {
        return this.borrowedObjectNumber;
    }

    @Override
    public Long getBorrowedObjectMaxNumber() {
        return this.borrowedObjectMaxNumber;
    }

    @Override
    public Long getIdleObjectNumber() {
        return this.idleObjectNumber;
    }

    @Override
    public Long getIdleObjectMaxNumber() {
        return this.idleObjectMaxNumber;
    }

    @Override
    public Long getExhaustions() {
        return this.exhaustions;
    }

}
