/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.monitoring;

import org.ow2.petals.jmx.api.api.monitoring.ThreadPoolMetrics;

/**
 * An implementation of {@link ThreadPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ThreadPoolMetricsMock implements ThreadPoolMetrics {

    final private Long minSize;

    final private Long maxSize;

    final private Long allocatedThreadsSize;

    final private Long allocatedThreadsMaxSize;

    final private Long idleThreadsSize;

    final private Long idleThreadsMaxSize;

    final private Long enqueuedRequestsSize;

    final private Long enqueuedRequestsMaxSize;

    public ThreadPoolMetricsMock(final Long minSize, final Long maxSize,
            final Long allocatedThreadsSize, final Long allocatedThreadsMaxSize,
            final Long idleThreadsSize, final Long idleThreadsMaxSize,
            final Long enqueuedRequestsSize, final Long enqueuedRequestsMaxSize) {
        super();
        this.minSize = minSize;
        this.maxSize = maxSize;
        this.allocatedThreadsSize = allocatedThreadsSize;
        this.allocatedThreadsMaxSize = allocatedThreadsMaxSize;
        this.idleThreadsSize = idleThreadsSize;
        this.idleThreadsMaxSize = idleThreadsMaxSize;
        this.enqueuedRequestsSize = enqueuedRequestsSize;
        this.enqueuedRequestsMaxSize = enqueuedRequestsMaxSize;
    }

    @Override
    public Long getMinSize() {
        return this.minSize;
    }

    @Override
    public Long getMaxSize() {
        return this.maxSize;
    }

    @Override
    public Long getAllocatedThreadsSize() {
        return this.allocatedThreadsSize;
    }

    @Override
    public Long getAllocatedThreadsMaxSize() {
        return this.allocatedThreadsMaxSize;
    }

    @Override
    public Long getIdleThreadsSize() {
        return this.idleThreadsSize;
    }

    @Override
    public Long getIdleThreadsMaxSize() {
        return this.idleThreadsMaxSize;
    }

    @Override
    public Long getEnqueuedRequestsSize() {
        return this.enqueuedRequestsSize;
    }

    @Override
    public Long getEnqueuedRequestsMaxSize() {
        return this.enqueuedRequestsMaxSize;
    }

}
